ICU 74.1 74.1

Data Structures | Namespaces | Macros
unifilt.h File Reference

C++ API: Unicode Filter. More...

`#include "unicode/utypes.h"`
`#include "unicode/unifunct.h"`
`#include "unicode/unimatch.h"`

Go to the source code of this file.

## Data Structures
class | icu::UnicodeFilter
| `UnicodeFilter` defines a protocol for selecting a subset of the full range (U+0000 to U+10FFFF) of Unicode characters. More...

## Namespaces
| icu
| File coll.h.

## Macros
#define | U_ETHER ((char16_t)0xFFFF)
| U_ETHER is used to represent character values for positions outside a range. More...

## Detailed Description

C++ API: Unicode Filter.

Definition in file unifilt.h.

## Macro Definition Documentation

## ◆ U_ETHER

#define U_ETHER ((char16_t)0xFFFF)

U_ETHER is used to represent character values for positions outside a range.

For example, transliterator uses this to represent characters outside the range contextStart..contextLimit-1. This allows explicit matching by rules and UnicodeSets of text outside a defined range.

Stable:
  ICU 3.0

Definition at line 37 of file unifilt.h.